/*
 * linux/arch/arm/lib/fp_support.c
 *
 * Copyright (C) 1995, 1996 Russell King
 */

#include <linux/sched.h>

extern void (*fp_save)(void *);

__asm__(
	".stabs \"_fp_printk\", 11, 0, 0, 0\n\t"
	".stabs \"_printk\", 1, 0, 0, 0\n\t"
	".stabs \"_fp_current\", 11, 0, 0, 0\n\t"
	".stabs \"_current_set\", 1, 0, 0, 0\n\t"
	".stabs \"_fp_send_sig\", 11, 0, 0, 0\n\t"
	".stabs \"_send_sig\", 1, 0, 0, 0\n\t");

void fp_setup(void)
{
	struct task_struct **p;

	p = task;
	while (p++ < task + NR_TASKS)
	{
		if(*p)
			fp_save((*p)->tss.fpe_save);
	}
}
