#ifndef __ASM_ARCH_DMA_H
#define __ASM_ARCH_DMA_H

/* enable/disable a specific DMA channel */
extern void enable_dma(unsigned int dmanr) ;

static __inline__ void disable_dma(unsigned int dmanr)
{
  printk("disable_dma: dma %d not supported\n", dmanr) ;
}

static __inline__ void clear_dma_ff(unsigned int dmanr)
{
  printk("clear_dma_ff: dma %d not supported\n", dmanr) ;
}

/* set mode (above) for a specific DMA channel */
extern void set_dma_mode(unsigned int dmanr, char mode) ;

static __inline__ void set_dma_page(unsigned int dmanr, char pagenr)
{
  printk("set_dma_page: dma %d not supported\n", dmanr);
}

extern void set_dma_addr(unsigned int dmanr, unsigned int addr) ;

extern void set_dma_count(unsigned int dmanr, unsigned int count) ;

extern int get_dma_residue(unsigned int dmanr) ;


#endif /* _ASM_ARCH_DMA_H */

