/*
 * linux/arch/arm/lib/delay.S
 *
 * Copyright (C) 1995, 1996 Russell King
 */

#include <asm/assembler.h>
		.text

LC0:		.word	_loops_per_sec

		.global	_udelay
_udelay:	mov	r2, #0x1000
		orr	r2, r2, #0x00c6
		mul	r1, r0, r2
		ldr	r2, [pc, #LC0 - . - 8]
		ldr	r2, [r2]
		mov	r1, r1, lsr #16
		mov	r2, r2, lsr #16
		mul	r0, r1, r2
		teq	r0, #0
		RETINSTR(moveq,pc,lr)

@ Delay routine
		.global	___delay
___delay:	subs	r0, r0, #1
		RETINSTR(movcc,pc,lr)
		subs	r0, r0, #1
		RETINSTR(movcc,pc,lr)
		subs	r0, r0, #1
		RETINSTR(movcc,pc,lr)
		subs	r0, r0, #1
		RETINSTR(movcc,pc,lr)
		subs	r0, r0, #1
		RETINSTR(movcc,pc,lr)
		subs	r0, r0, #1
		RETINSTR(movcc,pc,lr)
		subs	r0, r0, #1
		RETINSTR(movcc,pc,lr)
		subs	r0, r0, #1
		bcs	___delay
		RETINSTR(mov,pc,lr)

