/*
 * linux/include/asm-arm/arch-sa100eval/irqs.h
 *
 * Copyright (C) 1996 Russell King
 */

#define VALID_INTMASK                   0xf3c3fffe
#define SOFT_INT                        0x00000002
#define AMBACOM1_RX                     0x00000004
#define AMBACOM1_TX                     0x00000008
#define TIMER1_INT                      0x00000010
#define TIMER2_INT                      0x00000020
#define TIMER3_INT                      0x00000040
#define TIMER4_INT                      0x00000080
#define IN3_INT                         0x00000400	 /*  StrongARM 3.186MHz Xtal here */
#define XSCOM1_INT                      0x00001000	 /*  XBUS_DEV_1 interrupts on xcs_l[0] */
#define XSCOM2_INT                      0x00001000
#define DOORBELL_INT                    0x00008000
#define DMA1_INT                        0x00010000
#define DMA2_INT                        0x00020000
#define MEM_PARITY_INT                  0x01000000
#define I2O_INPOST_INT                  0x02000000
#define RAM_PARITY_INT                  0x10000000
#define PCI_MASTER_INT                  0x20000000
#define PCI_TARGET_INT                  0x40000000
#define PCI_PARITY_INT                  0x80000000

#define IRQ_COM1		12
#define IRQ_COM2		12
#define IRQ_TIMER0		6
#define IRQ_TIMER1		4

